Arma 3 Feedback Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007584Arma 3Game Physicspublic2013-04-21 18:162013-09-07 12:29
ReporterRasdenFasden 
Assigned ToAstaroth 
PriorityhighSeveritymajorReproducibilityalways
StatusfeedbackResolutionreopened 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
12 vote(s) 85,71%
2 vote(s) 14,29%
Summary0007584: Car brakes go on automatically when high speeds are reached
DescriptionWhen you reach a certain speed in a car, the brakes will suddenly go off and slow the car down to roughly 80kph.
What a buzzkill!
Steps To ReproduceAs far as I know Stratis lacks the roads required to push your car up to these speeds, which is probably why this went unnoticed. You can easily reproduce this on the main roads of Takistan using All in Arma.
TagsNo tags attached.
Game VersionArma 3 Alpha Dev
Attached Files

- Relationships
related to 0007496closedredstone Hunter GMG brakes suddenly whilst driving at top speed 

-  Notes
(0022326)
KardasLT (reporter)
2013-04-21 18:23

Yeah. Noticed it yesterday. You can easily reproduce it on the airstrip too. Once the cars reach around 120, they automaticly hit the brakes and slow down.
(0022372)
huorn (reporter)
2013-04-22 00:13

This is a duplicate of http://feedback.arma3.com/view.php?id=7496 [^]
Also, it doesn't apply to all cars in the game.
(0022416)
sarlac (reporter)
2013-04-22 06:12

It's not really the brakes. It seem like you're maxing our top gear and it locks up.
(0022438)
laywiin (reporter)
2013-04-22 08:59

this is on the quadbike also! ANNOYING like f***!!
(0022446)
huorn (reporter)
2013-04-22 09:36
edited on: 2013-04-22 09:36

@sarlac

There is a top speed for vehicles and I do not see anything wrong within it.
And yes, it is the brakes, because you can hear them screeching. It is no speed gouvernor nor cruise control, the vehicle is braking.

Also, it doesn't happen to every car, e.g. unarmed Hunter is not affected by this, see other bug report (let's see which one makes the race ;D)

(0022518)
RasdenFasden (reporter)
2013-04-22 13:19

I just tried it with the unarmed Hunter, it slams the brakes at around 120.
(0022519)
huorn (reporter)
2013-04-22 13:24

@RasdenFasden: Strange. Not for me though, using the latest stable alpha build.
(0022523)
huorn (reporter)
2013-04-22 13:28

Just tested again with unarmed Hunter.
@RasdenFasden: What have you done to accelerate it to 120kph? Top speed I could get on the runway was 116kph.
Were you driving downhill?
(0022549)
RasdenFasden (reporter)
2013-04-22 14:36

I was driving on a sloped road in Takistan using All in Arma.
(0022834)
sarlac (reporter)
2013-04-23 10:37

Not to be pedantic, but, the sound you are talking about is the sound of tires losing traction. Yes, the vehicle does seem to brake suddenly at high speed, but as it happens at very high speed it seems like a limiter that is poorly implemented and causing sudden deceleration.

It doesn't matter what we call it as long as the dev team gets to the bottom of it.
(0022863)
CincoSete (reporter)
2013-04-23 13:34

i notice this in the first arma 3 alpha release, in the airstrip trying to see the hunter max speed
(0022959)
huorn (reporter)
2013-04-23 18:11
edited on: 2013-04-23 18:11

sarlac,

not to be pedantic, but you can actually see the car braking. For instance, when you drive on flat ground like the runway, you can watch the chassis going down a bit to the ground, because the car looses speed immediately. That won't happen when the car just looses friction.

(0022963)
sarlac (reporter)
2013-04-23 18:20
edited on: 2013-04-23 18:20

Look man, the car decelerates, yes. I'm not arguing that. The point I'm making here is the sound you hear is not brakes its tires on pavement. It's already established that the tires on pavement sound is played no matter what surface the vehicle is on. Sand grass Tarmac whatever. So...

Unless you see brake lights when this thing happens its not braking but a limiter not working as intended. Ill be testing that myself in about an hour when I get home. If I see brake lights ill come back here and declare my mistake like a man.

(0022973)
sarlac (reporter)
2013-04-23 19:11
edited on: 2013-04-23 19:23

Ok, here we go

Flat ground max speeds for each vehicle

hunter: 112 steady
hunter hmg/gmg: 116 and sudden drop to 92 (tire squeal heard, no brake lights, may be parking brake or gearbox who knows)

Ifrit all models: 137 steady (manufacturer says it's 150 but whatever)

civilian truck: 163 but its got some seriously strange problems
it acts like its got cruise control on or something and jittery tire squeal. I thought this was addressed in a previous patch but apparently not.

quadbike both models: 77 steady but terrible looping on the audio once you reach top gear

I'm not going to spend time finding a long downhill section to discover if the others exibit the sudden deceleration "feature" at some point. I'm sure some of them probably will if pushed past their designed top speeds.

I'm not opposed to a limited top speed for vehicles. Never said I was.
The data is here, the devs are reviewing the issue. I'm done with this now. Have fun.

(0029266)
Fireball (moderator)
2013-05-24 19:38

Resolved according to CL: http://alpha.arma3.com/spotrep-00004 [^]
(0035248)
RasdenFasden (reporter)
2013-06-24 18:36

I got the brakes thing again when driving an AFV on the dirt tracks west of Agia Marina. Interestingly enough I didn't get it when I was driving a pickup straight down the side of James2464's BASE jump island at hundreds of KPH.

My guess is that it's connected to the surface you're driving on.
(0052670)
Icchan (reporter)
2013-09-07 12:29

Did not happen with the cars I tested, SUV, both hatchbacks and off-road.

- Issue History
Date Modified Username Field Change
2013-04-21 18:16 RasdenFasden New Issue
2013-04-21 18:20 RasdenFasden Steps to Reproduce Updated View Revisions
2013-04-21 18:23 KardasLT Note Added: 0022326
2013-04-21 19:11 RasdenFasden Description Updated View Revisions
2013-04-22 00:13 huorn Note Added: 0022372
2013-04-22 06:12 sarlac Note Added: 0022416
2013-04-22 08:59 laywiin Note Added: 0022438
2013-04-22 09:36 huorn Note Added: 0022446
2013-04-22 09:36 huorn Note Edited: 0022446 View Revisions
2013-04-22 13:19 RasdenFasden Note Added: 0022518
2013-04-22 13:24 huorn Note Added: 0022519
2013-04-22 13:28 huorn Note Added: 0022523
2013-04-22 14:36 RasdenFasden Note Added: 0022549
2013-04-23 09:46 redstone Relationship added related to 0007496
2013-04-23 10:37 sarlac Note Added: 0022834
2013-04-23 10:45 CSR Kryssar Assigned To => Astaroth
2013-04-23 10:45 CSR Kryssar Priority none => high
2013-04-23 10:45 CSR Kryssar Severity none => major
2013-04-23 10:45 CSR Kryssar Status new => reviewed
2013-04-23 13:34 CincoSete Note Added: 0022863
2013-04-23 18:11 huorn Note Added: 0022959
2013-04-23 18:11 huorn Note Edited: 0022959 View Revisions
2013-04-23 18:20 sarlac Note Added: 0022963
2013-04-23 18:20 sarlac Note Edited: 0022963 View Revisions
2013-04-23 19:11 sarlac Note Added: 0022973
2013-04-23 19:12 sarlac Note Edited: 0022973 View Revisions
2013-04-23 19:16 sarlac Note Edited: 0022973 View Revisions
2013-04-23 19:23 sarlac Note Edited: 0022973 View Revisions
2013-05-24 19:38 Fireball Note Added: 0029266
2013-05-24 19:38 Fireball Status reviewed => resolved
2013-05-24 19:38 Fireball Resolution open => fixed
2013-06-24 18:36 RasdenFasden Note Added: 0035248
2013-06-24 18:36 RasdenFasden Status resolved => feedback
2013-06-24 18:36 RasdenFasden Resolution fixed => reopened
2013-09-07 12:29 Icchan Note Added: 0052670


Copyright © 2000 - 2014 MantisBT Team